/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

package org.openecomp.sdc.vendorsoftwareproduct.types.composition;


public class Nic implements CompositionDataEntity {
  private String name;
  private String description;
  private String networkId;
  private String networkName;
  private NetworkType networkType;
  private String networkDescription;

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getDescription() {
    return description;
  }

  public void setDescription(String description) {
    this.description = description;
  }

  public String getNetworkId() {
    return networkId;
  }

  public void setNetworkId(String networkId) {
    this.networkId = networkId;
  }

  public String getNetworkName() {
    return networkName;
  }

  public void setNetworkName(String networkName) {
    this.networkName = networkName;
  }

  public NetworkType getNetworkType() {
    return networkType;
  }

  public void setNetworkType(NetworkType networkType) {
    this.networkType = networkType;
  }

  public String getNetworkDescription(){
    return networkDescription;
  }

  public void setNetworkDescription(String networkDescription){
    this.networkDescription=networkDescription;
  }

  @Override
  public int hashCode() {
    int result = name != null ? name.hashCode() : 0;
    result = 31 * result + (description != null ? description.hashCode() : 0);
    result = 31 * result + (networkId != null ? networkId.hashCode() : 0);
    result = 31 * result + (networkType != null ? networkType.hashCode() : 0);
    result = 31 * result + (networkDescription != null ? networkDescription.hashCode() : 0);
    return result;
  }

  @Override
  public boolean equals(Object object) {
    if (this == object) {
      return true;
    }
    if (object == null || getClass() != object.getClass()) {
      return false;
    }

    Nic nic = (Nic) object;

    if (name != null ? !name.equals(nic.name) : nic.name != null) {
      return false;
    }
    if (description != null ? !description.equals(nic.description) : nic.description != null) {
      return false;
    }
    if (networkId != null ? !networkId.equals(nic.networkId) : nic.networkId != null) {
      return false;
    }
    if (networkType != null ? !networkType.equals(nic.networkType) : nic.networkType != null) {
      return false;
    }
    if (networkDescription != null ? !networkDescription.equals(nic.networkDescription) : nic.networkDescription != null) {
      return false;
    }
    return networkType == nic.networkType;

  }
}
